Public Class clsLocatie
    '-- Enumerations --
    '-- Fields --
    Private msId As String
    Private msRek As String
    Private msVak As String
    Private msSchap As String
    Private msSoort As String
    Private msMaxAantal As String
    '-- Properties --
    Public Property Id() As String
        Get
            Return Me.msId
        End Get
        Set(ByVal Value As String)
            Me.msId = Value.Trim
        End Set
    End Property
    Public Property Rek() As String
        Get
            Return Me.msRek
        End Get
        Set(ByVal Value As String)
            Me.msRek = Value.Trim
        End Set
    End Property
    Public Property Vak() As String
        Get
            Return Me.msVak
        End Get
        Set(ByVal Value As String)
            Me.msVak = Value.Trim
        End Set
    End Property
    Public Property Schap() As String
        Get
            Return Me.msSchap
        End Get
        Set(ByVal Value As String)
            Me.msSchap = Value.Trim
        End Set
    End Property

    Public Property Soort() As String
        Get
            Return Me.msSoort
        End Get
        Set(ByVal Value As String)
            Me.msSoort = Value.Trim
        End Set
    End Property

    Public Property MaxAantal() As String
        Get
            Return Me.msMaxAantal
        End Get
        Set(ByVal Value As String)
            Me.msMaxAantal = Value.Trim
        End Set
    End Property
    '-- Constructors --
    '-- Methoden --

    Public Sub New(ByVal sId As String, ByVal sRek As String, ByVal sVak As String, ByVal sSchap As String, ByVal sSoort As String, ByVal sMaxAantal As String)
        Me.Id = sId
        Me.Rek = sRek
        Me.Vak = sVak
        Me.Schap = sSchap
        Me.Soort = sSoort
        Me.MaxAantal = sMaxAantal

    End Sub

    Public Overrides Function toString() As String
        Return "Rek: " & Me.msRek & " Vak: " & Me.msVak & " Schap: " & Me.msSchap & " Max: " & Me.msMaxAantal & " " & Me.msSoort & "s"

    End Function



    '-- Events --
End Class
